<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns="http://www.w3.org/1999/xhtml">

    <head th:replace="fragments/header :: header">
        <title>DSS App</title>
    </head>
    <body>

        <!--Start Container-->
        <div id="main" class="container-fluid">
            <div class="row">

                <th:block th:include="fragments/sidebar :: sidebar('events')"></th:block>

                <!--Start Content-->
                <div id="content" class="col-xs-12 col-sm-10">

                    <th:block th:include="fragments/about :: about"></th:block>

                    <!-- Preloader -->
                    <th:block th:include="fragments/preloader :: preloader"></th:block>

                    <!--Start Breadcrumb-->
                    <div class="row">
                        <div id="breadcrumb" class="col-xs-12">

                            <a href="#" class="show-sidebar">
                                <i class="fa fa-bars"></i>
                            </a>

                            <th:block th:insert="breadcrumb :: breadcrumb(breadcrumb)">
                                <ol class="breadcrumb pull-left">
                                    <li><a th:href="@{/events}" href="events.html">Events</a></li>
                                </ol>
                            </th:block>

                            <!--
                            <ol class="breadcrumb pull-left">
                                <li><a th:href="@{/}" href="index.html">Index</a></li>
                            </ol>-->
                            <div id="social" class="pull-right">
                                <a href="#"><i class="fa fa-google-plus"></i></a>
                                <a href="#"><i class="fa fa-facebook"></i></a>
                                <a href="#"><i class="fa fa-twitter"></i></a>
                                <a href="#"><i class="fa fa-linkedin"></i></a>
                                <a href="#"><i class="fa fa-youtube"></i></a>
                            </div>
                        </div>
                    </div>
                    <!--End Breadcrumb-->


                    <!--Start Dashboard 2-->
                    <div class="row-fluid">

                        <div class="col-xs-12">
                            <h4 class="page-header">Events</h4>
                            <div class="box">
                                <div class="box-header">
                                    <div class="box-name">
                                        <i class="fa fa-table"></i>
                                        <span>Basic table</span>
                                    </div>
                                    <div class="box-icons">
                                        <a class="collapse-link">
                                            <i class="fa fa-chevron-up"></i>
                                        </a>
                                        <a class="expand-link">
                                            <i class="fa fa-expand"></i>
                                        </a>
                                        <a class="close-link">
                                            <i class="fa fa-times"></i>
                                        </a>
                                    </div>
                                    <div class="no-move"></div>
                                </div>
                                <div class="box-content">
                                    <div th:if="${eventList == null or #lists.isEmpty(eventList)}">
                                        <div>"No Events were found"</div>
                                    </div>
                                    <table class="table">
                                        <thead>
                                            <tr>
                                                <th>#</th>
                                                <th>Event</th>
                                                <th>Id Transaction</th>
                                                <th>Business Application</th>
                                                <th>Status</th>
                                                <th>Creation Time</th>
                                                <th></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr th:each="event : ${eventList}">
                                                <td th:text="${event.idEvent}"></td>
                                                <td th:text="${event.event}"></td>
                                                <td th:text="${event.idTransaction}"></td>
                                                <td th:text="${event.businessApplication}"></td>
                                                <td th:text="${event.status}"></td>
                                                <td th:text="${event.creationTime}"></td>
                                                <td> <a th:href="@{'/event/' + ${event.idEvent}}">View</a></td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <div class="clearfix"></div>
                    </div>
                    <!--End Dashboard 2 -->

                </div>
                <div class="clearfix"></div>


            </div>
            <!--End Content-->
        </div>
        <!--End Container-->

        <div th:replace="fragments/js :: js">JavaScript</div>

        <script type="text/javascript">
            $(document).ready(function () {
                // Make all JS-activity for dashboard
                DashboardTabChecker();
            });
        </script>
    </body>
</html>